sayren Docs
쿠폰

쿠폰 재개

POST
/v1/coupons/{couponId}/resume

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

couponId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X POST 'https://api.sayren.io/v1/coupons/string/resume' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "couponId": "string",    "name": "string",    "description": "string",    "kind": "ORDER",    "benefit": {      "type": "RATE",      "value": 1,      "maxDiscountAmount": 1    },    "conditions": {      "minOrderAmount": 0,      "firstOrderOnly": true,      "memberOnly": true,      "stackWithInstantDiscount": true    },    "target": {      "includeProductIds": [        "string"      ],      "includeCategoryIds": [        "string"      ],      "excludeProductIds": [        "string"      ],      "excludeCategoryIds": [        "string"      ]    },    "issueMethod": "string",    "code": "string",    "startsAt": "string",    "endsAt": "string",    "validDaysAfterIssue": 0,    "totalIssueLimit": 0,    "totalUseLimit": 0,    "perMemberIssueLimit": 0,    "perMemberUseLimit": 0,    "issuedCount": 0,    "reservedCount": 0,    "usedCount": 0,    "status": "ACTIVE",    "locked": true,    "lockedAt": "string",    "createdAt": "string",    "updatedAt": "string"  },  "error": null}